<?php 
// Database connection
$servername = "localhost";  // your database server
$username = "root";         // your database username
$password = "";             // your database password
$dbname = "mobile_store_db"; // your database name

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Flash message
if ($_settings->chk_flashdata('success')): ?>
<script>
	alert_toast("<?php echo $_settings->flashdata('success'); ?>", 'success');
</script>
<?php endif; ?>

<div class="card card-outline card-primary">
	<div class="card-header">
		<h3 class="card-title">List of Client Returns</h3>
		<div class="card-tools">
			<a href="?page=client_return/manage_return" class="btn btn-flat btn-primary">
				<span class="fas fa-plus"></span> Create New
			</a>
		</div>
	</div>
	<div class="card-body">
		<div class="container-fluid">
			<table class="table table-hover table-strip">
				<colgroup>
					<col width="5%">
					<col width="20%">
					<col width="20%">
					<col width="30%">
					<col width="10%">
					<col width="15%">
				</colgroup>
				<thead>
					<tr>
						<th>#</th>
						<th>Product Name</th>
						<th>Client</th>
						<th>Reason</th>
						<th>Status</th>
						<th>Action</th>
					</tr>
				</thead>
				<tbody>
					<?php 
					$i = 1;
					// Modified query to select first_name and last_name
					$qry = $conn->query("SELECT cr.*, p.name AS pname, CONCAT(c.firstname, ' ', c.lastname) AS cname 
										  FROM client_returns cr 
										  INNER JOIN products p ON cr.product_id = p.id 
										  INNER JOIN clients c ON cr.client_id = c.id 
										  ORDER BY p.name ASC");

					// Check if query is successful
					if ($qry) {
						while ($row = $qry->fetch_assoc()) {
							foreach ($row as $k => $v) {
								$row[$k] = trim(stripslashes($v));
							}
							$row['reason'] = strip_tags(stripslashes(html_entity_decode($row['reason'])));
							?>
							<tr>
								<td class="text-center"><?php echo $i++; ?></td>
								<td><?php echo $row['pname']; ?></td>
								<td><?php echo $row['cname']; ?></td>
								<td><p class="m-0 truncate"><?php echo $row['reason']; ?></p></td>
								<td class="text-center">
									<?php if ($row['status'] == 1): ?>
										<span class="badge badge-success">Approved</span>
									<?php else: ?>
										<span class="badge badge-danger">Pending</span>
									<?php endif; ?>
								</td>
								<td align="center">
									<button type="button" class="btn btn-flat btn-default btn-sm dropdown-toggle dropdown-icon" data-toggle="dropdown">
										Action
										<span class="sr-only">Toggle Dropdown</span>
									</button>
									<div class="dropdown-menu" role="menu">
										<a class="dropdown-item" href="?page=client_return/manage_return&id=<?php echo $row['id']; ?>"><span class="fa fa-edit text-primary"></span> Edit</a>
										<div class="dropdown-divider"></div>
										<a class="dropdown-item delete_data" href="javascript:void(0)" data-id="<?php echo $row['id']; ?>"><span class="fa fa-trash text-danger"></span> Delete</a>
									</div>
								</td>
							</tr>
							<?php
						}
					} else {
						// Query failed, output error message
						echo "<tr><td colspan='6' class='text-center text-danger'>Error fetching data. " . $conn->error . "</td></tr>";
					}
					?>
				</tbody>
			</table>
		</div>
	</div>
</div>

<script>
	$(document).ready(function() {
		$('.delete_data').click(function() {
			_conf("Are you sure to delete this client return permanently?", "delete_return", [$(this).attr('data-id')]);
		});
		$('.table').dataTable({
			columnDefs: [{ orderable: false, targets: [5] }],
			order: [0, 'asc']
		});
		$('.dataTable td, .dataTable th').addClass('py-1 px-2 align-middle');
	});

	function delete_return($id) {
		start_loader();
		$.ajax({
			url: _base_url_ + "classes/Master.php?f=delete_return",
			method: "POST",
			data: { id: $id },
			dataType: "json",
			error: err => {
				console.log(err);
				alert_toast("An error occurred.", 'error');
				end_loader();
			},
			success: function(resp) {
				if (typeof resp === 'object' && resp.status == 'success') {
					location.reload();
				} else {
					alert_toast("An error occurred.", 'error');
					end_loader();
				}
			}
		});
	}
</script>
